Deep recursion on subroutine "RT::Queue::SubjectTag

Hi,

I have upgraded from 3.8.6 to 4.0.16 then 4.0.17 now we are hitting with
following errors

[Sat Aug 17 19:54:23 2013] [warning]: Deep recursion on subroutine
“RT::Queue::SubjectTag” at /opt/rt3/sbin/…/lib/RT/System.pm line 232.
(/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.

Any help will be really helpfull.

www.opensourcer.net

I have upgraded from 3.8.6 to 4.0.16 then 4.0.17 now we are hitting with following errors

[Sat Aug 17 19:54:23 2013] [warning]: Deep recursion on subroutine “RT::Queue::SubjectTag” at
/opt/rt3/sbin/…/lib/RT/System.pm line 232. (/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.

Presumably you have RT::Extension::BrandedQueues installed?
That was folded into 3.8, so you must be running into a bad
interaction in the extension. There were docs about this for the 3.8
upgrade:

http://bestpractical.com/docs/rt/latest/UPGRADING-3.8.html#UPGRADING-FROM-3.7.81-AND-EARLIER

If you fix your templates and remove the plugin, your problem should
go away.

-kevin

Hi,

I have checked the copy of the RT before upgrade and there no extention
RT::Extension::BrandedQueues installed the only extentions installed are

  1. Extension::QuickDelete
    2.RT::FM and
  2. RT::IR

Thanks in advance
ArunOn Tue, Aug 20, 2013 at 9:06 PM, Kevin Falcone falcone@bestpractical.comwrote:

On Sun, Aug 18, 2013 at 01:26:22AM +0530, Arun ragini wrote:

I have upgraded from 3.8.6 to 4.0.16 then 4.0.17 now we are hitting
with following errors

[Sat Aug 17 19:54:23 2013] [warning]: Deep recursion on subroutine
“RT::Queue::SubjectTag” at
/opt/rt3/sbin/…/lib/RT/System.pm line 232.
(/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.

Presumably you have RT::Extension::BrandedQueues installed?
That was folded into 3.8, so you must be running into a bad
interaction in the extension. There were docs about this for the 3.8
upgrade:

UPGRADING-3.8 - RT 5.0.5 Documentation - Best Practical

If you fix your templates and remove the plugin, your problem should
go away.

-kevin

www.opensourcer.net

This is what I have in my logs.
[warning]: Deep recursion on subroutine “RT::Queue::SubjectTag” at
/opt/rt3/sbin/…/lib/RT/System.pm line 232.
(/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.
[Sat Aug 17 22:17:55 2013] [notice] caught SIGTERM, shutting down

The RT version I’m trying to upgrade from is 3.8.6

Thanks
ArunOn Thu, Aug 22, 2013 at 3:46 PM, Arun ragini arunragini@gmail.com wrote:

Hi,

I have checked the copy of the RT before upgrade and there no extention
RT::Extension::BrandedQueues installed the only extentions installed are

  1. Extension::QuickDelete
    2.RT::FM and
  2. RT::IR

Thanks in advance
Arun

On Tue, Aug 20, 2013 at 9:06 PM, Kevin Falcone falcone@bestpractical.comwrote:

On Sun, Aug 18, 2013 at 01:26:22AM +0530, Arun ragini wrote:

I have upgraded from 3.8.6 to 4.0.16 then 4.0.17 now we are hitting
with following errors

[Sat Aug 17 19:54:23 2013] [warning]: Deep recursion on subroutine
“RT::Queue::SubjectTag” at
/opt/rt3/sbin/…/lib/RT/System.pm line 232.
(/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.

Presumably you have RT::Extension::BrandedQueues installed?
That was folded into 3.8, so you must be running into a bad
interaction in the extension. There were docs about this for the 3.8
upgrade:

UPGRADING-3.8 - RT 5.0.5 Documentation - Best Practical

If you fix your templates and remove the plugin, your problem should
go away.

-kevin


www.opensourcer.net

www.opensourcer.net

This is what I have in my logs.
[warning]: Deep recursion on subroutine “RT::Queue::SubjectTag” at
/opt/rt3/sbin/…/lib/RT/System.pm line 232. (/opt/rt3/sbin/…/lib/RT/System.pm:232)
Out of memory!
Callback called exit.
[Sat Aug 17 22:17:55 2013] [notice] caught SIGTERM, shutting down

The RT version I’m trying to upgrade from is 3.8.6

Have you upgraded to RT4 in your /opt/rt3 directory?
If so, that’s likely the root cause of your problem.

(paragraph 3)
http://bestpractical.com/docs/rt/latest/UPGRADING-4.0.html#UPGRADING-FROM-BEFORE-4.0.0

-kevin